Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicMenuUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ButtonUI
                  |
                  +--javax.swing.plaf.MenuItemUI
                        |
                        +--javax.swing.plaf.basic.BasicMenuItemUI
                              |
                              +--javax.swing.plaf.basic.BasicMenuUI

public class BasicMenuUI
extends BasicMenuItemUI

A default L&F implementation of MenuUI. This implementation is a "combined" view/controller.

Inner Class Summary
`class` | `BasicMenuUI.ChangeHandler`

Inner classes inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`BasicMenuItemUI.MouseInputHandler`

Field Summary
`protected ChangeListener` | `changeListener`
`protected MenuListener` | `menuListener`
`protected PropertyChangeListener` | `propertyChangeListener`

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, selectionBackground, selectionForeground`

Constructor Summary
`BasicMenuUI()`

Method Summary
`protected ChangeListener` | `createChangeListener(JComponent c)`
`protected MenuDragMouseListener` | `createMenuDragMouseListener(JComponent c)`
`protected MenuKeyListener` | `createMenuKeyListener(JComponent c)`
`protected MenuListener` | `createMenuListener(JComponent c)`
`protected MouseInputListener` | `createMouseInputListener(JComponent c)`
`protected PropertyChangeListener` | `createPropertyChangeListener(JComponent c)`
`static ComponentUI` | `createUI(JComponent x)`
`Dimension` | `getMaximumSize(JComponent c)`
`protected String` | `getPropertyPrefix()`
`protected void` | `installDefaults()`
`protected void` | `installKeyboardActions()`
`protected void` | `installListeners()`
`protected void` | `setupPostTimer(JMenu menu)`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`getMinimumSize, getPath, getPreferredMenuItemSize, getPreferredSize, installComponents, installUI, paint, paintMenuItem, uninstallComponents, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeListener

    protected ChangeListener changeListener

### propertyChangeListener

    protected PropertyChangeListener propertyChangeListener

### menuListener

    protected MenuListener menuListener

Constructor Detail

### BasicMenuUI

    public BasicMenuUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `BasicMenuItemUI`

### getPropertyPrefix

    protected String getPropertyPrefix()

  Overrides:
    `getPropertyPrefix` in class `BasicMenuItemUI`

### installListeners

    protected void installListeners()

  Overrides:
    `installListeners` in class `BasicMenuItemUI`

### installKeyboardActions

    protected void installKeyboardActions()

  Overrides:
    `installKeyboardActions` in class `BasicMenuItemUI`

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

  Overrides:
    `uninstallKeyboardActions` in class `BasicMenuItemUI`

### createMouseInputListener

    protected MouseInputListener createMouseInputListener(JComponent c)

  Overrides:
    `createMouseInputListener` in class `BasicMenuItemUI`

### createMenuListener

    protected MenuListener createMenuListener(JComponent c)

### createChangeListener

    protected ChangeListener createChangeListener(JComponent c)

### createPropertyChangeListener

    protected PropertyChangeListener createPropertyChangeListener(JComponent c)

### uninstallDefaults

    protected void uninstallDefaults()

  Overrides:
    `uninstallDefaults` in class `BasicMenuItemUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `BasicMenuItemUI`

### createMenuDragMouseListener

    protected MenuDragMouseListener createMenuDragMouseListener(JComponent c)

  Overrides:
    `createMenuDragMouseListener` in class `BasicMenuItemUI`

### createMenuKeyListener

    protected MenuKeyListener createMenuKeyListener(JComponent c)

  Overrides:
    `createMenuKeyListener` in class `BasicMenuItemUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Overrides:
    `getMaximumSize` in class `BasicMenuItemUI`

### setupPostTimer

    protected void setupPostTimer(JMenu menu)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.